# Events and Messages

<table><thead><tr><th>Event Name</th><th>description</th><th>Message data</th><th data-hidden>Message Data</th><th data-hidden></th></tr></thead><tbody><tr><td>notification:global</td><td>In this user will get all transaction notification which is happening on Relysia Infrastructure.</td><td>{ amount, type, timestamp, txid, sender, receiver, tokenId }</td><td></td><td></td></tr><tr><td>notification</td><td>In this event. The user, who is connected with socket he will get only his wallet transaction notification.</td><td>{ amount, type, timestamp, txid, sender, receiver, tokenId }</td><td>{ amount, type, timestamp, txid, sender, receiver, tokenId }</td><td></td></tr><tr><td>notification:wallet:{walletId}</td><td>in this event user will get only his specified walletId transaction notification</td><td>{ amount, type, timestamp, txid, sender, receiver, tokenId }</td><td></td><td></td></tr><tr><td>balance</td><td>The user, who is connected with socket he will get only his wallet balance.</td><td>{ walletId, totalBalance, coins }</td><td>{ walletId, totalBalance, coins }</td><td></td></tr><tr><td>history</td><td>The user, who is connected with socket he will get only his wallet history.</td><td>{ walletId, histories }</td><td>{ walletId, histories }</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relysia.com/realtime-transaction-notification/events-and-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
